function UploadCheck(tabRoot)
	if tabRoot == nil then
		return nil
	end

	local limit = tabRoot['rule']['limit']
	local Obj = XLGetObject("Xunlei.OSShell.Obj")
	if Obj:IsUploadLimited(limit) then
		return 1
	end

	return 0
end